Subject: Re: Washington Issue 2 - Controlling Output of Audit

From: Brian Rosen <[email-masked]>
Date: Mon, 15 Nov 1999 14:37:46 -0500

I think it's an arbitrarily difficult problem for a program
to generate the appropriate wildcards from a list of terminationIDs and
their responses.

It was suggested that you get a wildcard response (one) with
the "popular" values, and an individual response for any
that didn't match.  "Popular" would be the numerically most
common response.  I thought this was too hard.  Union is easy.
I suspect that programs will discover that when they get more
than one value in a place they care about, they will individually
audit, thus the union response made sense.

brian
> -----Original Message-----
> From: Abdallah Rayhan [mailto:[email-masked]]
> Sent: Monday, November 15, 1999 2:25 PM
> To: Brian Rosen
> Cc: [email-masked]
> Subject: Re: Washington Issue 2 - Controlling Output of Audit
>
>
> Brian,
>
> "W-" is a good idea but it needs to be refined. UNION is not a useful
> operation. When describing two types of terminations which have
> different values, what union brings is information that is
> difficult to extract
>
> and decide which one belongs to which. A better approach would be to
> associate the values with wildcarded terminations, e.g.,
> {AB*{x,y,z},CD*{g,h,j}}. ATM temrinations have such and such,
> Ephemeral
> terminations have such and such. The "*" use is part of what you call
> TerminationIDNamePattern. This would make the information returned by
> audit usable and extractable by the MGC.
>
> Abdallah Rayhan
>
>
> Brian Rosen wrote:
>
> > A number of issues were raised in the Washington meeting
> that were "send to
> > the
> > list". This is one of these issues, with the problem and my
> suggested fix.
> >
> > Problem: If you wildcard an audit request, you get one response per
> > terminationID that matches the wildcard.  In many cases,
> this is not what
> > you desire, what you want is a "wildcard response".
> >
> > Proposed Solution:
> > If an Audit command is prefixed with "W-" (similar to Optional), the
> > resultant response is the UNION of the values of the
> terminations to which
> > it applies.  Where there are multiple possible values in
> the union, the
> > value is expressed as a list of values ({value, value,
> value} in text
> > encoding).  The TerminationID returned is the same as that
> expressed in the
> > command.
> >
> > Please note:
> > This seems like a simple change, but it may make a lot of
> edits to the
> > ABNF & ASN.1.  Yet, it seems to be the simplest answer to
> the problem.
> >
> > This command would be part of an initialization sequence in
> conjunction with
> > the
> > TerminationIDNamePattern.  The MGC would send one of these
> Audit commands
> > per pattern to find out what that set of terminations could do.
>